package com.dbnt.sims.fipTarget.repository;


import com.dbnt.sims.fipTarget.model.VulnFile;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;



public interface VulnFileRepository extends JpaRepository<VulnFile, VulnFile.VulnFileId> {

	VulnFile findTopByVulnKeyOrderByFileSeqDesc(Integer vulnKey);

	List<VulnFile> findByVulnKeyOrderByFileSeq(Integer vulnKey);

	List<VulnFile> findByVulnKey(Integer vulnKey);

	void deleteByVulnKey(Integer vulnKey);


}
